from setuptools import setup, find_packages

setup(
    name="multi_swarm",
    version="1.0.5",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    install_requires=[
        "pydantic>=2.0.0",
        "gitpython>=3.1.0",
        "pytest>=7.0.0",
        "pytest-cov>=4.0.0"
    ],
    python_requires=">=3.8",
    author="Multi-Swarm Team",
    author_email="info@multi-swarm.ai",
    description="A framework for creating collaborative swarms of agents",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/multi-swarm/multi-swarm",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
) 