"""Multi-Swarm Framework

A framework for creating collaborative AI agent swarms.
"""

from multi_swarm.plugins.base import PluginBase, PluginMetadata
from multi_swarm.plugins.registry import PluginRegistry

# Import Git tool directly from its module
from multi_swarm.plugins.tools.development.git import GitTool

# Temporarily comment out RAG system import
# from multi_swarm.core.rag import Document, SearchResult, RAGSystem

__version__ = "1.0.5"
__author__ = "Bart Van Spitaels"
__email__ = "bart.vanspitaels@gmail.com"

__all__ = [
    "PluginBase",
    "PluginMetadata",
    "PluginRegistry",
    "GitTool",
    # "Document",
    # "SearchResult",
    # "RAGSystem",
] 