---
name: API Connection Issue
about: Report an issue with API connections or authentication
title: '[API] '
labels: api, bug
assignees: ''
---

**Provider**
- [ ] Claude
- [ ] Gemini
- [ ] Other (please specify)

**Issue Type**
- [ ] Authentication Error
- [ ] Connection Error
- [ ] Rate Limit
- [ ] Other (please specify)

**Error Message**
```
Please paste the error message here (REMOVE ANY API KEYS)
```

**Environment**
- OS: [e.g. Windows 10, Ubuntu 20.04]
- Python Version: [e.g. 3.9.5]
- Package Version: [e.g. 1.0.1]

**Steps to Reproduce**
1. 
2. 
3. 

**Expected Behavior**
A clear description of what you expected to happen.

**Additional Context**
Add any other context about the problem here.

**Checklist**
- [ ] I have checked that my API key is valid
- [ ] I have confirmed my API key is properly set in environment variables
- [ ] I have checked the API provider's status page
- [ ] I have removed any sensitive information from this report 